import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ManagesClusterService } from '../../services-v2/manages-cluster.service';
import * as i0 from "@angular/core";
export declare class CustomComponent implements OnChanges, OnInit {
    private cd;
    private authService;
    onClick(event: MouseEvent): void;
    items: any;
    searchField: any[];
    multi: boolean;
    idField: string;
    selectedValues: any;
    disabled: boolean | undefined;
    label: string;
    badgeValue: string;
    searchKey: any;
    selected: EventEmitter<any>;
    filteredValues: any;
    showDropdown: boolean;
    searchValue: string;
    instanceId: any;
    constructor(cd: ChangeDetectorRef, authService: ManagesClusterService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    initializeItems(): void;
    updateSelectedValues(): void;
    openDropdown(event: any): void;
    onInput(event: any): void;
    onSelect(event: any, item: any): void;
    onSelectAll(event: any): void;
    emitSelectedValues(values: any[]): void;
    checkIfAllSelected(): any;
    removeBadge(data: any, index: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomComponent, "lib-stores-select", never, { "items": { "alias": "items"; "required": false; }; "searchField": { "alias": "searchField"; "required": false; }; "multi": { "alias": "multi"; "required": false; }; "idField": { "alias": "idField"; "required": false; }; "selectedValues": { "alias": "selectedValues"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "label": { "alias": "label"; "required": false; }; "badgeValue": { "alias": "badgeValue"; "required": false; }; "searchKey": { "alias": "searchKey"; "required": false; }; }, { "selected": "selected"; }, never, never, false, never>;
}
