import { ElementRef } from "@angular/core";
import { StoresService } from "../../services/stores.service";
import { ToastService } from "tango-app-ui-shared";
import { Router } from "@angular/router";
import * as i0 from "@angular/core";
export declare class AddStoresComponent {
    private storeService;
    private ts;
    private router;
    inputFile: ElementRef;
    phoneRegex: RegExp;
    emailRegex: RegExp;
    $headerFilters: any;
    constructor(storeService: StoresService, ts: ToastService, router: Router);
    hasInvalidChars(value: string): boolean;
    onUpload(e: any): void;
    decimalToTime(decimalTime: number): string;
    validateField(value: string | undefined | null | number, fieldName: string, row: number, regex?: RegExp): string | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddStoresComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddStoresComponent, "lib-add-stores", never, {}, {}, never, never, false, never>;
}
