import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { NgbActiveModal, NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { ToastService } from 'tango-app-ui-shared';
import { GlobalStateService } from 'tango-app-ui-global';
import { GroupService } from '../../services/group.service';
import { StoresService } from '../../services/stores.service';
import * as i0 from "@angular/core";
export declare class ClusterCreationComponent implements OnInit, OnDestroy {
    private groupService;
    private ts;
    private router;
    activeModal: NgbActiveModal;
    gs: GlobalStateService;
    private storeService;
    modalService: NgbModal;
    private readonly destroy;
    inputFile1: ElementRef;
    afterValidation: any;
    clusterData: any;
    type: any;
    clusterStores: any;
    excelError: any;
    excelData: any;
    uploadPopUp: any;
    teamleadList: any[];
    storeList: any[];
    selectedTeamLead: any;
    selectedStores: any;
    selectedTeams: any;
    stores: any;
    $headerFilters: any;
    clusterName: any;
    isEdit: boolean;
    description: any;
    teamList: any;
    fileError: boolean;
    constructor(groupService: GroupService, ts: ToastService, router: Router, activeModal: NgbActiveModal, gs: GlobalStateService, storeService: StoresService, modalService: NgbModal);
    ngOnDestroy(): void;
    ngOnInit(): void;
    getTeamData(data: any): void;
    getStoreList(): void;
    filteredStores: any;
    markCheckedStores(): void;
    getclusterList(): void;
    onClusterSelect(event: any): void;
    onTeam(event: any): void;
    onUserSelect(event: any): void;
    cancel(): void;
    onCreateTeam(event: Event): void;
    afterUpload: any;
    uploadErrors: any;
    onUpload1(e: any): void;
    isButtonDisabled(): boolean;
    teamsList(): void;
    omitSpecialChar(event: KeyboardEvent): void;
    afterUplload(data?: any): void;
    getStoreCounts(data: any): number;
    validateDetails(data?: any): void;
    closeactivepopup(): void;
    removedChip(event: any): void;
    preventClose(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClusterCreationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ClusterCreationComponent, "lib-cluster-creation", never, { "clusterData": { "alias": "clusterData"; "required": false; }; "type": { "alias": "type"; "required": false; }; "clusterStores": { "alias": "clusterStores"; "required": false; }; }, {}, never, never, false, never>;
}
