import { ChangeDetectorRef, OnInit } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { GroupService } from '../../services/group.service';
import { ToastService } from 'tango-app-ui-shared';
import { GlobalStateService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class NewCreateGroupComponent implements OnInit {
    private activeModal;
    private cd;
    private groupService;
    private ts;
    gs: GlobalStateService;
    type: string;
    editGroup: any;
    description: any;
    groupName: any;
    operationType: string;
    $headerFilters: any;
    availableStores: any;
    dataObject: any;
    dummyArray: any;
    group: any;
    csmSelectInput: any;
    groupValue: any;
    selectedValues: any;
    constructor(activeModal: NgbActiveModal, cd: ChangeDetectorRef, groupService: GroupService, ts: ToastService, gs: GlobalStateService);
    ngOnInit(): void;
    getAvailableStores(): void;
    loadGroup(): void;
    filterStores(storeIds: any, storeDetails: any): any;
    getGroup(): void;
    cancel(): void;
    editgroup(): void;
    onCsmSelect(selectedCsm: any): void;
    groupSubmit(form: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewCreateGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NewCreateGroupComponent, "lib-new-create-group", never, { "type": { "alias": "type"; "required": false; }; "editGroup": { "alias": "editGroup"; "required": false; }; }, {}, never, never, false, never>;
}
