import { ChangeDetectorRef, OnInit } from "@angular/core";
import { FormBuilder, FormGroup } from "@angular/forms";
import { NgbActiveModal } from "@ng-bootstrap/ng-bootstrap";
import { GroupService } from "../../services/group.service";
import { ToastService } from "tango-app-ui-shared";
import { GlobalStateService } from "tango-app-ui-global";
import * as i0 from "@angular/core";
export declare class CreateGroupComponent implements OnInit {
    private activeModal;
    private cd;
    private fb;
    private groupService;
    private ts;
    gs: GlobalStateService;
    type: string;
    editGroup: any;
    operationType: string;
    groupForm: FormGroup;
    availableStores: any[];
    selectedValuesArray: any[];
    group: any;
    Opendropdown: boolean;
    dataObject: any[];
    $headerFilters: any;
    selectedText: string;
    dummyArray: any;
    searchValue: any;
    constructor(activeModal: NgbActiveModal, cd: ChangeDetectorRef, fb: FormBuilder, groupService: GroupService, ts: ToastService, gs: GlobalStateService);
    ngOnInit(): void;
    getGroup(): void;
    loadGroup(): void;
    createForm(): void;
    getAvailableStores(): void;
    cancel(): void;
    editgroup(): void;
    groupSubmit(): void;
    onClick(event: MouseEvent): void;
    opendropdown(e: MouseEvent): void;
    Dropdown(value: any, index: number, event: MouseEvent): void;
    toggleCheckbox(event: any, store: any, index: number, subIndex: number): void;
    searchData(stores: any, i: any): any;
    loadSelectedStores(stores: any[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreateGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreateGroupComponent, "lib-create-group", never, { "type": { "alias": "type"; "required": false; }; "editGroup": { "alias": "editGroup"; "required": false; }; }, {}, never, never, false, never>;
}
