import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { Router } from "@angular/router";
import { StoresService } from "../../services/stores.service";
import { GlobalStateService, PageInfoService } from "tango-app-ui-global";
import { GroupService } from "../../services/group.service";
import { FormControl } from "@angular/forms";
import { ExcelService } from "../../services/excel.service";
import { NgbModal } from "@ng-bootstrap/ng-bootstrap";
import { ToastService } from "tango-app-ui-shared";
import * as i0 from "@angular/core";
export declare class GroupDetailsComponent implements OnInit, OnDestroy {
    private pageInfo;
    private storesService;
    private changeDetector;
    private groupService;
    private excelService;
    gs: GlobalStateService;
    private modalService;
    private router;
    private ts;
    filterOptions: any[];
    searchValue: any;
    storeList: any[];
    storeList_req: any;
    pagination: any;
    loading: boolean;
    noData: boolean;
    columns: any[];
    paginationSizes: number[];
    receivedData: string;
    $headerFilters: any;
    searchInput: FormControl<string | null>;
    private detach;
    dataEvent: EventEmitter<string>;
    group: any;
    user: any;
    constructor(pageInfo: PageInfoService, storesService: StoresService, changeDetector: ChangeDetectorRef, groupService: GroupService, excelService: ExcelService, gs: GlobalStateService, modalService: NgbModal, router: Router, ts: ToastService);
    backToGroup(): void;
    initSearch(): void;
    ngOnDestroy(): void;
    receiveGroupData(data: string): void;
    setPageData(): void;
    ngOnInit(): void;
    searchStore(): void;
    Selecttabs(value: any): void;
    applyFilter(appliedFilters: any): void;
    getCountries(): void;
    loadTable(): void;
    exportXLSX(): void;
    navigateToStore(storeId: any): void;
    onPageChange(pageOffset: number): void;
    onPageSizeChange(pageSize: number): void;
    isLinkActive(link: string): boolean;
    sortColumName: string;
    sortDirection: number;
    onSort(column: string): void;
    colDirection(column: string): number;
    paginationSize(): number;
    goToEdgeApp(store: any): void;
    navigateToCamera(storeId: any): void;
    goToStore(store: any): void;
    goToStoreInfra(store: any): void;
    goToEdgeAppconfig(store: any): void;
    updateStoreStatus(store: any, type: any): void;
    deactivateStore(store: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GroupDetailsComponent, "lib-group-details", never, {}, { "dataEvent": "dataEvent"; }, never, never, false, never>;
}
