import { EventEmitter, OnInit, ChangeDetectorRef, OnDestroy } from "@angular/core";
import { NgbModal } from "@ng-bootstrap/ng-bootstrap";
import { GroupService } from "../../services/group.service";
import { GlobalStateService, PageInfoService } from "tango-app-ui-global";
import * as i0 from "@angular/core";
export declare class TangoManageGroupsComponent implements OnInit, OnDestroy {
    private modalService;
    private groupService;
    private cd;
    gs: GlobalStateService;
    private pageInfo;
    dataEvent: EventEmitter<string>;
    Opendropdown: boolean;
    groups: any[];
    groupData: any;
    group_req: any;
    dataObject: any;
    showdropdown: any;
    selectedValues: string[];
    selectedValuesArray: any[];
    loading: boolean;
    searchValue: string;
    $headerFilters: any;
    private detach;
    pagination: {
        offset: number;
        limit: number;
        totalCount: number;
    };
    paginationSizes: number[];
    user: any;
    cameraNoData: boolean;
    constructor(modalService: NgbModal, groupService: GroupService, cd: ChangeDetectorRef, gs: GlobalStateService, pageInfo: PageInfoService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    getGroups(): void;
    searchData(): void;
    onPageChange(pageOffset: number): void;
    onPageSizeChange(pageSize: number): void;
    paginationSize(): number;
    groupsDetials(val: any): void;
    toggleCheckbox(issue: string, index: number): void;
    Reset(): void;
    Apply(): void;
    createGroup(type: any, group?: any): void;
    deleteGroups(data: any, group: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TangoManageGroupsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TangoManageGroupsComponent, "lib-tango-manage-groups", never, {}, { "dataEvent": "dataEvent"; }, never, never, false, never>;
}
