import { HttpClient } from "@angular/common/http";
import { BehaviorSubject, Observable } from "rxjs";
import { GlobalStateService } from "tango-app-ui-global";
import * as i0 from "@angular/core";
export declare class GroupService {
    private http;
    private gs;
    private groupApiUrl;
    private storeApiUrl;
    private clusterApiUrl;
    teamsApiUrl: any;
    groupComms: BehaviorSubject<any>;
    constructor(http: HttpClient, gs: GlobalStateService);
    getGroups(params: any): Observable<any>;
    getGroup(params: any): Observable<any>;
    createGroup(groupBody: any): Observable<any>;
    updateGroup(groupBody: any): Observable<any>;
    getStores(req: any): Observable<any>;
    private handleError;
    getClusterList(req: any): Observable<any>;
    clusterBulkUpload(req: any): Observable<any>;
    getClusterListExport(req: any): Observable<any>;
    getClusterView(req: any): Observable<any>;
    getClusterViewExport(req: any): Observable<any>;
    getallClusterList(params: any): Observable<any>;
    getallusersList(params: any): Observable<any>;
    createCluster(params: any): Observable<any>;
    updateCluster(data: any): Observable<any>;
    editClusterdata(data: any): Observable<any>;
    deleteCluster(params: any): Observable<any>;
    deleteAllclusters(params: any): Observable<any>;
    private viewClusterSubject;
    viewCluster$: Observable<boolean>;
    setViewCluster(value: boolean): void;
    teamsList(params: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GroupService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GroupService>;
}
