import { ChangeDetectorRef, EventEmitter, OnInit } from "@angular/core";
import { StoresService } from "../../services/stores.service";
import * as i0 from "@angular/core";
export declare class FiltersComponent implements OnInit {
    private storesService;
    private cd;
    dataObject: any[];
    AppliedFilters: EventEmitter<any>;
    Opendropdown: boolean;
    showdropdown: any;
    selectedValues: string[];
    selectedValuesArray: any[];
    searchValues: string[];
    backUpArray: any[];
    noFilter: boolean;
    responseArray: any[];
    cityIndex: number;
    stateIndex: number;
    countryIndex: number;
    constructor(storesService: StoresService, cd: ChangeDetectorRef);
    onClick(event: MouseEvent): void;
    ngOnInit(): void;
    opendropdown(e: MouseEvent): void;
    Dropdown(value: any, index: number, event: MouseEvent): void;
    toggleCheckboxs(issue: string, index: number): void;
    toggleCheckbox(issue: string, index: number): void;
    countrySelection(issue: any, i: number): void;
    stateSelection(issue: any, i: number): void;
    getStates(countryCode: string): void;
    getCities(countryCode: string, stateCode: string): void;
    Reset(): void;
    searchData(event: any, i: any): void;
    Apply(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FiltersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FiltersComponent, "lib-filters-custom", never, { "dataObject": { "alias": "dataObject"; "required": false; }; }, { "AppliedFilters": "AppliedFilters"; }, never, never, false, never>;
}
